List Analytics Data

The raw data that powers Guru's Analytics Dashboard is available for export.

The raw event data behind Guru's Analytics Dashboard is available for export, so you can analyze usage in your own tools.

GET /v1/teams/{teamId}/analytics

URL parameters

ParameterDescription
teamIdThe ID of the team.

Query parameters

Both query parameters are optional.

ParameterDescription
fromDateReturns all events with a date greater than or equal to this date.
toDateReturns all events with a date less than or equal to this date.

The date value must be in one of these ISO-8601 formats:

  • yyyy-MM-ddZ (for example, 2015-02-01+04:00)
  • yyyy-MM-ddTHH:mmZ (for example, 2015-02-01T15:01+04:00)
  • yyyy-MM-ddTHH:mm:ssZ (for example, 2015-02-01T15:01:30+04:00)
  • yyyy-MM-ddTHH:mm:ss.SSSZ (for example, 2015-02-01T15:01:30.000+04:00)

If you do not give a timezone, it defaults to +00:00.

Sample requests

To return all analytics events since January 1st, 2016 at 5:30am UTC, specify a fromDate of 2016-01-01T05:30:00+00:00. With the query parameters URL encoded, the full URL is:

curl -u $GURU_USER:$GURU_TOKEN "https://api.getguru.com/api/v1/teams/{teamId}/analytics?fromDate=2016-01-01T05:30:00+00:00"

To return all analytics events between September 4th, 2020 and September 7th, 2020 (including all events on the 7th), specify a fromDate of 2020-09-04T00:00:00 and a toDate of 2020-09-08T00:00:00:

curl -u $GURU_USER:$GURU_TOKEN "https://api.getguru.com/api/v1/teams/{teamId}/analytics?fromDate=2020-09-04T00:00:00&toDate=2020-09-08T00:00:00"

Response

The response contains an array of event objects. Results can be paged; see Pagination.

FieldDescription
eventTypeString value indicating the type of event.
eventDateThe date the event occurred, in ISO-8601 format.
userEmail address of the user performing the event.
propertiesMap of key-value pairs. Values vary by event type. The most common property is cardId, the ID of the card the event applies to.
[
  {
    "type" : "fact-viewed",
    "user" : "[email protected]",
    "eventDate" : "2016-01-20T03:10:11.351+0000",
    "properties" : {
      "cardId" : "yyyyyyyy-yyyy-yyyy-yyyy-yyyyyyyyyyyy"
    }
  },
  ...
]

Analytics event types

📘

Legacy board naming

Some folder-related event names still reference "boards." These event names were not renamed as part of the transition from boards to folders and continue to function as-is for backward compatibility. Despite the naming, these events apply to folders.

Below are the event types the Analytics API tracks:

  • card-created a new card has been published
  • card-comment-created a user commented on a card
  • card-copied a user copied the content within a card or clicked the "Card Copied content" button while viewing a card
  • card-deleted a card has been archived
  • card-favorited a user clicked the heart icon to add the card to their favorites list
  • card-shared-to-team a user made a private card team shared or created a new card that is team shared
  • card-updated a user made edits to a card
  • card-verified a user verified a card
  • card-viewed a user clicked and viewed a card
  • card-unfavorited a user removed a card from their favorites list
  • search a user performed a type-ahead search and clicked one of the Top Title Matches, or typed in the search bar to see the search results
  • board-created a user created a new folder within a collection
  • board-updated a user edited an existing folder within a collection
  • board-deleted a user deleted an existing folder within a collection
  • board-viewed a user viewed an existing folder within a collection
  • card-link-copied a user clicked the "Card Copy link" button while viewing a card
  • card-file-link-viewed a user viewed a link to a file that is uploaded to a card and displayed in the card's file viewer
  • question-answered a user answered a question in the "Ask the Experts" feature
  • question-created a user created a question in the "Ask the Experts" feature
  • question-deleted a user deleted a question in the "Ask the Experts" feature
  • login a user logged into Guru